<?php

//Theme Option -> Header
$theme_header_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_header_panel', array(
	'title'			=> esc_html__( 'Header', 'miion' ),
	'description'	=> esc_html__( 'These are header general settings of miion theme', 'miion' ),
	'priority'		=> 5,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_header_panel );

//Header -> Header General
$miion_header_general_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_general_section', array(
	'title'			=> esc_html__( 'Header General', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for general header.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_general_section );

//Header General
$wp_customize->add_setting('ajax_trigger_miion_header_general_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_general_section', array(
	'section'		=> 'miion_header_general_section'
)));

//Header -> Header Top Section
$miion_header_topbar_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_topbar_section', array(
	'title'			=> esc_html__( 'Header Top', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for header top.', 'miion' ),
	'priority'		=> 2,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_topbar_section );

//Header Top
$wp_customize->add_setting('ajax_trigger_miion_header_topbar_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_topbar_section', array(
	'section'		=> 'miion_header_topbar_section'
)));

//Header -> Header Middle Section
$miion_header_logobar_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_logobar_section', array(
	'title'			=> esc_html__( 'Header Middle', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for header middle(logo section).', 'miion' ),
	'priority'		=> 3,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_logobar_section );

//Header Middle
$wp_customize->add_setting('ajax_trigger_miion_header_logobar_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_logobar_section', array(
	'section'		=> 'miion_header_logobar_section'
)));

//Header -> Header Navbar Section
$miion_header_navbar_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_navbar_section', array(
	'title'			=> esc_html__( 'Header Bottom', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for header bottom(navbar).', 'miion' ),
	'priority'		=> 4,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_navbar_section );

//Header Navbar
$wp_customize->add_setting('ajax_trigger_miion_header_navbar_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_navbar_section', array(
	'section'		=> 'miion_header_navbar_section'
)));

//Header -> Header Left/Right Navbar
$miion_header_fixed_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_fixed_section', array(
	'title'			=> esc_html__( 'Left/Right Navbar', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for header left/right navbar.', 'miion' ),
	'priority'		=> 5,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_fixed_section );

//Header Left/Right
$wp_customize->add_setting('ajax_trigger_miion_header_fixed_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_fixed_section', array(
	'section'		=> 'miion_header_fixed_section'
)));

//Header -> Mobile Menu
$miion_mobile_menu_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_mobile_menu_section', array(
	'title'			=> esc_html__( 'Mobile Menu', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for mobile header and mobile menu.', 'miion' ),
	'priority'		=> 6,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_mobile_menu_section );

//Mobile Menu
$wp_customize->add_setting('ajax_trigger_miion_mobile_menu_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_mobile_menu_section', array(
	'section'		=> 'miion_mobile_menu_section'
)));

//Header -> Top Sliding Bar
$miion_header_topslidingbar_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_header_topslidingbar_section', array(
	'title'			=> esc_html__( 'Top Sliding Bar', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for top sliding bar.', 'miion' ),
	'priority'		=> 7,
	'panel'			=> 'theme_header_panel'
));
$wp_customize->add_section( $miion_header_topslidingbar_section );

//Top Sliding Bar
$wp_customize->add_setting('ajax_trigger_miion_header_topslidingbar_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_header_topslidingbar_section', array(
	'section'		=> 'miion_header_topslidingbar_section'
)));